h33105
s 00034/00000/00000
d D 1.1 82/08/03 08:49:39 cecily 1 0
e
u
U
t
T
I 1
utime	title	unix c svc library -- utime

.utime	equ	30
	entry	utime
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
utimesvc	equ	*
	svc	0,.utime
fname	dc	a(*-*)
tvec	dc	a(*-*)
*
	pure
utime	equ	*
	l	r0,0(sp)	filename
	st	r0,fname
	l	r0,adc(sp)	tvec
	st	r0,tvec
	svc	0,0
	dc	a(utimesvc)
	bc	error
	xar	r0,r0
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
